Bug 1578767 (CVE-2017-18266) - CVE-2017-18266 xdg-utils: Argument injection vulnerability in open_envvar() function
Summary: CVE-2017-18266 xdg-utils: Argument injection vulnerability in open_envvar() f...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2017-18266
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1578768 1578769
Blocks: 1578771
TreeView+ depends on / blocked
 
Reported: 2018-05-16 11:37 UTC by Adam Mariš
Modified: 2021-02-17 00:18 UTC (History)
2 users (show)

Fixed In Version: xdg-utils 1.1.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:23:06 UTC


Attachments (Terms of Use)

Description Adam Mariš 2018-05-16 11:37:09 UTC
The open_envvar function in xdg-open in xdg-utils before 1.1.3 does not validate strings before launching the program specified by the BROWSER environment variable, which might allow remote attackers to conduct argument-injection attacks via a crafted URL, as demonstrated by %s in this environment variable.

Upstream fix:

https://cgit.freedesktop.org/xdg/xdg-utils/commit/?id=ce802d71c3466d1dbb24f2fe9b6db82a1f899bcb

Upstream bug report:

https://bugs.freedesktop.org/show_bug.cgi?id=103807

Comment 1 Adam Mariš 2018-05-16 11:37:29 UTC
Created xdg-utils tracking bugs for this issue:

Affects: fedora-all [bug 1578768]

Comment 3 Adam Mariš 2018-05-25 13:07:04 UTC
Statement:

This issue did not affect the versions of xdg-utils as shipped with Red Hat Enterprise Linux 6 and 7.


Note You need to log in before you can comment on or make changes to this bug.